{
  "openapi": "3.0.3",
  "info": {
    "title": "Lyrics API",
    "description": "These endpoints return metadata about songs and lyrics.  \nFor full details, see the [API reference](https://docs.musixmatch.com/lyrics-api/introduction) for these endpoints.\n\nTo authenticate your API requests and use the endpoints, you need to include your API key as a **query parameter** (`apikey`) in every call, like this:\n\n`GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.\n\nIn Postman, enter your API Key in the **Auth** tab, where it will be automatically appended to the request. **Best Practice:** Use **Postman Vault** to securely store your key; see the official [Postman documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/) for details.\n\nAlways keep your API key secure and never share it publicly. If you believe your API key has been compromised, contact us immediately at `sales@musixmatch.com`.",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://api.musixmatch.com"
    }
  ],
  "paths": {
    "/ws/1.1/matcher.track.get": {
      "get": {
        "tags": [
          "Matcher"
        ],
        "summary": "matcher.track.get",
        "description": "Match your song against our database.",
        "operationId": "matcherTrackGet",
        "parameters": [
          {
            "name": "q_track",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "Wildest Dreams (Taylor's Version)"
            },
            "description": "The song title. Required if the track_isrc is not indicated. ",
            "required": true
          },
          {
            "name": "q_artist",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "Taylor Swift"
            },
            "description": "The song artist. Required if the track_isrc is not indicated.",
            "required": true
          },
          {
            "name": "track_isrc",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "USUG12103658"
            },
            "description": "(Optional parameter) A valid ISRC identifier. If you have an ISRC ID in your catalogue you can query using this ID only."
          }
        ],
        "responses": {
          "200": {
            "description": "200 OK / 401 Unauthorized",
            "headers": {
              "Accept-Ranges": {
                "schema": {
                  "type": "string",
                  "example": "bytes"
                }
              },
              "Age": {
                "schema": {
                  "type": "string",
                  "example": "0"
                }
              },
              "Connection": {
                "schema": {
                  "type": "string",
                  "example": "keep-alive"
                }
              },
              "Content-Encoding": {
                "schema": {
                  "type": "string",
                  "example": "gzip"
                }
              },
              "Content-Length": {
                "schema": {
                  "type": "string",
                  "example": "101"
                }
              },
              "Date": {
                "schema": {
                  "type": "string",
                  "example": "Thu, 13 Feb 2025 15:16:04 GMT"
                }
              },
              "Vary": {
                "schema": {
                  "type": "string",
                  "example": "Accept-Encoding"
                }
              },
              "Via": {
                "schema": {
                  "type": "string",
                  "example": "1.1 varnish"
                }
              },
              "X-Cache": {
                "schema": {
                  "type": "string",
                  "example": "MISS"
                }
              },
              "X-Cache-Hits": {
                "schema": {
                  "type": "string",
                  "example": "0"
                }
              },
              "X-Served-By": {
                "schema": {
                  "type": "string",
                  "example": "cache-iad-kcgs7200146-IAD"
                }
              },
              "X-Timer": {
                "schema": {
                  "type": "string",
                  "example": "S1739459765.732375,VS0,VE12"
                }
              },
              "x-mxm-cache": {
                "schema": {
                  "type": "string",
                  "example": "no-cache"
                }
              },
              "x-mxm-header-execute-time": {
                "schema": {
                  "type": "string",
                  "example": "0.0025529861450195"
                }
              },
              "x-mxm-header-status": {
                "schema": {
                  "type": "string",
                  "example": "401"
                }
              },
              "x-mxm-nginx-ingress-controller": {
                "schema": {
                  "type": "string",
                  "example": "nginx-cdt-apisite-api"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "object",
                      "properties": {
                        "body": {
                          "anyOf": [
                            {
                              "type": "object",
                              "properties": {
                                "track": {
                                  "type": "object",
                                  "properties": {
                                    "album_id": {
                                      "type": "number",
                                      "example": 51353981
                                    },
                                    "album_name": {
                                      "type": "string",
                                      "example": "This Love (Taylor\u2019s Version)"
                                    },
                                    "artist_id": {
                                      "type": "number",
                                      "example": 259675
                                    },
                                    "artist_name": {
                                      "type": "string",
                                      "example": "Taylor Swift"
                                    },
                                    "commontrack_id": {
                                      "type": "number",
                                      "example": 133444910
                                    },
                                    "commontrack_isrcs": {
                                      "type": "array",
                                      "items": {
                                        "type": "array",
                                        "items": {
                                          "type": "string",
                                          "example": "USUG12103658"
                                        },
                                        "example": [
                                          "USUG12103658"
                                        ]
                                      },
                                      "example": [
                                        [
                                          "USUG12103658"
                                        ]
                                      ]
                                    },
                                    "explicit": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "has_lyrics": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "has_richsync": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "has_subtitles": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "has_lyrics_crowd": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "has_track_structure": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "has_lyrics_analysis": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "instrumental": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "num_favourite": {
                                      "type": "number",
                                      "example": 167
                                    },
                                    "primary_genres": {
                                      "type": "object",
                                      "properties": {
                                        "music_genre_list": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "properties": {
                                              "music_genre": {
                                                "type": "object",
                                                "properties": {
                                                  "music_genre_id": {
                                                    "type": "number",
                                                    "example": 14
                                                  },
                                                  "music_genre_name": {
                                                    "type": "string",
                                                    "example": "Pop"
                                                  },
                                                  "music_genre_name_extended": {
                                                    "type": "string",
                                                    "example": "Pop"
                                                  },
                                                  "music_genre_parent_id": {
                                                    "type": "number",
                                                    "example": 34
                                                  },
                                                  "music_genre_vanity": {
                                                    "type": "string",
                                                    "example": "Pop"
                                                  }
                                                }
                                              }
                                            }
                                          },
                                          "example": [
                                            {
                                              "music_genre": {
                                                "music_genre_id": 14,
                                                "music_genre_name": "Pop",
                                                "music_genre_name_extended": "Pop",
                                                "music_genre_parent_id": 34,
                                                "music_genre_vanity": "Pop"
                                              }
                                            }
                                          ]
                                        }
                                      }
                                    },
                                    "restricted": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "track_edit_url": {
                                      "type": "string",
                                      "example": "https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950"
                                    },
                                    "track_id": {
                                      "type": "number",
                                      "example": 235600686
                                    },
                                    "track_isrc": {
                                      "type": "string",
                                      "example": "USUG12103658"
                                    },
                                    "track_length": {
                                      "type": "number",
                                      "example": 220
                                    },
                                    "track_lyrics_translation_status": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "from": {
                                            "type": "string",
                                            "example": "en"
                                          },
                                          "perc": {
                                            "type": "number",
                                            "example": 1
                                          },
                                          "to": {
                                            "type": "string",
                                            "example": "af"
                                          }
                                        }
                                      },
                                      "example": [
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "af"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "ar"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "zh"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "nl"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "f1"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "fi"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "fr"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "de"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "is"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "id"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "it"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "ja"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "ko"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "lt"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "ms"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "mn"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "ne"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "fa"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "pl"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "pt"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "ru"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "es"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "th"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "tr"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "vi"
                                        }
                                      ]
                                    },
                                    "track_name": {
                                      "type": "string",
                                      "example": "Wildest Dreams (Taylor's Version)"
                                    },
                                    "track_rating": {
                                      "type": "number",
                                      "example": 83
                                    },
                                    "track_share_url": {
                                      "type": "string",
                                      "example": "https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950"
                                    },
                                    "track_spotify_id": {
                                      "type": "string",
                                      "example": "1IxeJLsubGTboNN9K5XNfL"
                                    },
                                    "updated_time": {
                                      "type": "string",
                                      "example": "2023-11-09T13:22:11Z"
                                    }
                                  }
                                }
                              }
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            }
                          ]
                        },
                        "header": {
                          "type": "object",
                          "properties": {
                            "cached": {
                              "type": "number",
                              "example": 1
                            },
                            "confidence": {
                              "type": "number",
                              "example": 1000
                            },
                            "execute_time": {
                              "type": "number",
                              "example": 0.008080005645752
                            },
                            "mode": {
                              "type": "string",
                              "example": "search"
                            },
                            "status_code": {
                              "type": "number",
                              "example": 200
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "200 OK": {
                    "value": {
                      "message": {
                        "body": {
                          "track": {
                            "album_id": 51353981,
                            "album_name": "This Love (Taylor\u2019s Version)",
                            "artist_id": 259675,
                            "artist_name": "Taylor Swift",
                            "commontrack_id": 133444910,
                            "commontrack_isrcs": [
                              [
                                "USUG12103658"
                              ]
                            ],
                            "explicit": 1,
                            "has_lyrics": 1,
                            "has_richsync": 1,
                            "has_subtitles": 1,
                            "has_lyrics_crowd": 0,
                            "has_track_structure": 0,
                            "has_lyrics_analysis": 0,
                            "instrumental": 0,
                            "num_favourite": 167,
                            "primary_genres": {
                              "music_genre_list": [
                                {
                                  "music_genre": {
                                    "music_genre_id": 14,
                                    "music_genre_name": "Pop",
                                    "music_genre_name_extended": "Pop",
                                    "music_genre_parent_id": 34,
                                    "music_genre_vanity": "Pop"
                                  }
                                }
                              ]
                            },
                            "restricted": 0,
                            "track_edit_url": "https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950",
                            "track_id": 235600686,
                            "track_isrc": "USUG12103658",
                            "track_length": 220,
                            "track_lyrics_translation_status": [
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "af"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "ar"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "zh"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "nl"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "f1"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "fi"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "fr"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "de"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "is"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "id"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "it"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "ja"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "ko"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "lt"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "ms"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "mn"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "ne"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "fa"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "pl"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "pt"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "ru"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "es"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "th"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "tr"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "vi"
                              }
                            ],
                            "track_name": "Wildest Dreams (Taylor's Version)",
                            "track_rating": 83,
                            "track_share_url": "https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950",
                            "track_spotify_id": "1IxeJLsubGTboNN9K5XNfL",
                            "updated_time": "2023-11-09T13:22:11Z"
                          }
                        },
                        "header": {
                          "cached": 1,
                          "confidence": 1000,
                          "execute_time": 0.008080005645752,
                          "mode": "search",
                          "status_code": 200
                        }
                      }
                    }
                  },
                  "401 Unauthorized": {
                    "value": {
                      "message": {
                        "body": [],
                        "header": {
                          "execute_time": 0.0025529861450195,
                          "status_code": 401
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/ws/1.1/matcher.lyrics.get": {
      "get": {
        "tags": [
          "Matcher"
        ],
        "summary": "matcher.lyrics.get",
        "description": "Get the lyrics for a track based on title and artist.",
        "operationId": "matcherLyricsGet",
        "parameters": [
          {
            "name": "q_track",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "Wildest Dreams (Taylor's Version)"
            },
            "description": "The song title. Required if the track_isrc is not indicated.",
            "required": true
          },
          {
            "name": "q_artist",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "Taylor Swift"
            },
            "description": "The song artist. Required if the track_isrc is not indicated.",
            "required": true
          },
          {
            "name": "track_isrc",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "USUG12103658"
            },
            "description": "(Optional parameter) A valid ISRC identifier. If you have an ISRC ID in your catalogue you can query using this ID only."
          }
        ],
        "responses": {
          "200": {
            "description": "200 OK / 401 Unauthorized / 404 Not Found",
            "headers": {
              "Accept-Ranges": {
                "schema": {
                  "type": "string",
                  "example": "bytes"
                }
              },
              "Age": {
                "schema": {
                  "type": "string",
                  "example": "0"
                }
              },
              "Connection": {
                "schema": {
                  "type": "string",
                  "example": "keep-alive"
                }
              },
              "Content-Encoding": {
                "schema": {
                  "type": "string",
                  "example": "gzip"
                }
              },
              "Content-Length": {
                "schema": {
                  "type": "string",
                  "example": "100"
                }
              },
              "Date": {
                "schema": {
                  "type": "string",
                  "example": "Thu, 13 Feb 2025 13:52:00 GMT"
                }
              },
              "Vary": {
                "schema": {
                  "type": "string",
                  "example": "Accept-Encoding"
                }
              },
              "Via": {
                "schema": {
                  "type": "string",
                  "example": "1.1 varnish"
                }
              },
              "X-Cache": {
                "schema": {
                  "type": "string",
                  "example": "MISS"
                }
              },
              "X-Cache-Hits": {
                "schema": {
                  "type": "string",
                  "example": "0"
                }
              },
              "X-Served-By": {
                "schema": {
                  "type": "string",
                  "example": "cache-iad-kcgs7200159-IAD"
                }
              },
              "X-Timer": {
                "schema": {
                  "type": "string",
                  "example": "S1739454720.094223,VS0,VE91"
                }
              },
              "x-mxm-api-application-id": {
                "schema": {
                  "type": "string",
                  "example": "1409624942950"
                }
              },
              "x-mxm-header-execute-time": {
                "schema": {
                  "type": "string",
                  "example": "0.082682132720947"
                }
              },
              "x-mxm-header-status": {
                "schema": {
                  "type": "string",
                  "example": "404"
                }
              },
              "x-mxm-nginx-ingress-controller": {
                "schema": {
                  "type": "string",
                  "example": "nginx-cdt-apisite-api"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "object",
                      "properties": {
                        "body": {
                          "anyOf": [
                            {
                              "type": "object",
                              "properties": {
                                "lyrics": {
                                  "type": "object",
                                  "properties": {
                                    "explicit": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "lyrics_body": {
                                      "type": "string",
                                      "example": "He said, \"Let's get out of this town\nDrive out of the city, away from the crowds\"\nI thought, \"Heaven can't help me now\"\nNothing lasts forever\nBut this is gonna take me down\n\nHe's so tall, and handsome as hell\nHe's so bad, but he does it so well\nI can see the end as it begins\nMy one condition is\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again\nEven if it's just in your wildest dreams, ah-ah, ha\nWildest dreams, ah-ah, ha\n\nI said, \"No one has to know what we do\"\nHis hands are in my hair, his clothes are in my room\nAnd his voice is a familiar sound\nNothing lasts forever\nBut this is getting good now\n\nHe's so tall, and handsome as hell\nHe's so bad, but he does it so well\nAnd when we've had our very last kiss\nMy last request, it is\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again\nEven if it's just in your wildest dreams, ah-ah, ha (ah-ah, ha)\nWildest dreams, ah-ah, ha\n\nYou'll see me in hindsight, tangled up with you all night\nBurning it down\nSomeday when you leave me, I bet these memories\nFollow you around\n\nYou'll see me in hindsight, tangled up with you all night\nBurning (burning) it (it) down (down)\nSomeday when you leave me, I bet these memories\nFollow (follow) you (you) around (around)\n(Follow you around)\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again, even if it's just pretend\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again\nEven if it's just in your (just pretend, just pretend)\nWildest dreams, ah-ah, ha (ah-ah-ah-ah)\nWildest dreams, ah-ah, ha\n(Even if it's just in your) wildest dreams, ah-ah, ha\n\nIn your wildest dreams, ah-ah, ha"
                                    },
                                    "lyrics_copyright": {
                                      "type": "string",
                                      "example": "Writer(s): Taylor Swift, Shellback, Max Martin\nCopyright: Taylor Swift Music, Mxm Music Ab, Sony/atv Tree Publishing\nLyrics powered by www.musixmatch.com"
                                    },
                                    "lyrics_id": {
                                      "type": "number",
                                      "example": 33540930
                                    },
                                    "lyrics_language": {
                                      "type": "string",
                                      "example": "en"
                                    },
                                    "pixel_tracking_url": {
                                      "type": "string",
                                      "example": "https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_33540930/su_0/rs_0/...zLt8GECCNyZAt2JlGj5CFosV7FJ6v8sOeDIxwCqPAozD4zBcgrQg/"
                                    },
                                    "region_restriction": {
                                      "type": "object",
                                      "properties": {
                                        "allowed": {
                                          "type": "array",
                                          "items": {
                                            "type": "string",
                                            "example": "XW"
                                          },
                                          "example": [
                                            "XW"
                                          ]
                                        },
                                        "blocked": {
                                          "type": "array",
                                          "items": {},
                                          "example": []
                                        }
                                      }
                                    },
                                    "script_tracking_url": {
                                      "type": "string",
                                      "example": "https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_33540930/su_0/rs_0/...X0_nlfnK3pQQtj_0NCndT4ssxzlKC_cOnn58vHIv_ZwmCEWVkA/"
                                    },
                                    "updated_time": {
                                      "type": "string",
                                      "example": "2024-04-08T02:07:16Z"
                                    }
                                  }
                                }
                              }
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            }
                          ]
                        },
                        "header": {
                          "type": "object",
                          "properties": {
                            "execute_time": {
                              "type": "number",
                              "example": 0.01480507850647
                            },
                            "status_code": {
                              "type": "number",
                              "example": 200
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "200 OK": {
                    "value": {
                      "message": {
                        "body": {
                          "lyrics": {
                            "explicit": 1,
                            "lyrics_body": "He said, \"Let's get out of this town\nDrive out of the city, away from the crowds\"\nI thought, \"Heaven can't help me now\"\nNothing lasts forever\nBut this is gonna take me down\n\nHe's so tall, and handsome as hell\nHe's so bad, but he does it so well\nI can see the end as it begins\nMy one condition is\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again\nEven if it's just in your wildest dreams, ah-ah, ha\nWildest dreams, ah-ah, ha\n\nI said, \"No one has to know what we do\"\nHis hands are in my hair, his clothes are in my room\nAnd his voice is a familiar sound\nNothing lasts forever\nBut this is getting good now\n\nHe's so tall, and handsome as hell\nHe's so bad, but he does it so well\nAnd when we've had our very last kiss\nMy last request, it is\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again\nEven if it's just in your wildest dreams, ah-ah, ha (ah-ah, ha)\nWildest dreams, ah-ah, ha\n\nYou'll see me in hindsight, tangled up with you all night\nBurning it down\nSomeday when you leave me, I bet these memories\nFollow you around\n\nYou'll see me in hindsight, tangled up with you all night\nBurning (burning) it (it) down (down)\nSomeday when you leave me, I bet these memories\nFollow (follow) you (you) around (around)\n(Follow you around)\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again, even if it's just pretend\n\nSay you'll remember me standing in a nice dress\nStaring at the sunset, babe\nRed lips and rosy cheeks\nSay you'll see me again\nEven if it's just in your (just pretend, just pretend)\nWildest dreams, ah-ah, ha (ah-ah-ah-ah)\nWildest dreams, ah-ah, ha\n(Even if it's just in your) wildest dreams, ah-ah, ha\n\nIn your wildest dreams, ah-ah, ha",
                            "lyrics_copyright": "Writer(s): Taylor Swift, Shellback, Max Martin\nCopyright: Taylor Swift Music, Mxm Music Ab, Sony/atv Tree Publishing\nLyrics powered by www.musixmatch.com",
                            "lyrics_id": 33540930,
                            "lyrics_language": "en",
                            "pixel_tracking_url": "https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_33540930/su_0/rs_0/...zLt8GECCNyZAt2JlGj5CFosV7FJ6v8sOeDIxwCqPAozD4zBcgrQg/",
                            "region_restriction": {
                              "allowed": [
                                "XW"
                              ],
                              "blocked": []
                            },
                            "script_tracking_url": "https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_33540930/su_0/rs_0/...X0_nlfnK3pQQtj_0NCndT4ssxzlKC_cOnn58vHIv_ZwmCEWVkA/",
                            "updated_time": "2024-04-08T02:07:16Z"
                          }
                        },
                        "header": {
                          "execute_time": 0.01480507850647,
                          "status_code": 200
                        }
                      }
                    }
                  },
                  "401 Unauthorized": {
                    "value": {
                      "message": {
                        "body": [],
                        "header": {
                          "execute_time": 0.0019779205322266,
                          "status_code": 401
                        }
                      }
                    }
                  },
                  "404 Not Found": {
                    "value": {
                      "message": {
                        "body": [],
                        "header": {
                          "execute_time": 0.082682132720947,
                          "status_code": 404
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/ws/1.1/matcher.subtitle.get": {
      "get": {
        "tags": [
          "Matcher"
        ],
        "summary": "matcher.subtitle.get",
        "description": "Get the syncs for a song given its title, artist and duration.",
        "operationId": "matcherSubtitleGet",
        "parameters": [
          {
            "name": "q_track",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "Sexy and I know it"
            },
            "description": "The song title. Required if the track_isrc is not indicated.",
            "required": true
          },
          {
            "name": "q_artist",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "LMFAO"
            },
            "description": "The song artist. Required if the track_isrc is not indicated.",
            "required": true
          },
          {
            "name": "f_subtitle_length",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "200"
            },
            "description": "Filter by subtitle length in seconds. For it to function, must be used together with the 'f_subtitle_length_max_deviation' parameter."
          },
          {
            "name": "f_subtitle_length_max_deviation",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "3"
            },
            "description": "Max deviation for a subtitle length in seconds."
          },
          {
            "name": "track_isrc",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "USUM71108090"
            },
            "description": "(Optional parameter) If you have an available ISRC ID in your catalogue you can query using this ID only."
          }
        ],
        "responses": {
          "200": {
            "description": "200 OK / 401 Unauthorized",
            "headers": {
              "Accept-Ranges": {
                "schema": {
                  "type": "string",
                  "example": "bytes"
                }
              },
              "Age": {
                "schema": {
                  "type": "string",
                  "example": "0"
                }
              },
              "Connection": {
                "schema": {
                  "type": "string",
                  "example": "keep-alive"
                }
              },
              "Content-Encoding": {
                "schema": {
                  "type": "string",
                  "example": "gzip"
                }
              },
              "Content-Length": {
                "schema": {
                  "type": "string",
                  "example": "100"
                }
              },
              "Date": {
                "schema": {
                  "type": "string",
                  "example": "Thu, 13 Feb 2025 15:27:11 GMT"
                }
              },
              "Vary": {
                "schema": {
                  "type": "string",
                  "example": "Accept-Encoding"
                }
              },
              "Via": {
                "schema": {
                  "type": "string",
                  "example": "1.1 varnish"
                }
              },
              "X-Cache": {
                "schema": {
                  "type": "string",
                  "example": "MISS"
                }
              },
              "X-Cache-Hits": {
                "schema": {
                  "type": "string",
                  "example": "0"
                }
              },
              "X-Served-By": {
                "schema": {
                  "type": "string",
                  "example": "cache-iad-kiad7000073-IAD"
                }
              },
              "X-Timer": {
                "schema": {
                  "type": "string",
                  "example": "S1739460431.047067,VS0,VE16"
                }
              },
              "x-mxm-cache": {
                "schema": {
                  "type": "string",
                  "example": "no-cache"
                }
              },
              "x-mxm-header-execute-time": {
                "schema": {
                  "type": "string",
                  "example": "0.0026640892028809"
                }
              },
              "x-mxm-header-status": {
                "schema": {
                  "type": "string",
                  "example": "401"
                }
              },
              "x-mxm-nginx-ingress-controller": {
                "schema": {
                  "type": "string",
                  "example": "nginx-cdt-apisite-api"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "object",
                      "properties": {
                        "body": {
                          "anyOf": [
                            {
                              "type": "object",
                              "properties": {
                                "subtitle": {
                                  "type": "object",
                                  "properties": {
                                    "lyrics_copyright": {
                                      "type": "string",
                                      "example": "Writer(s): George Matthew Robertson, Stefan Kendal Gordy, Erin Beck, David Jamahl Listenbee, Kenny Oliver, Skyler Husten Gordy\nCopyright: Universal Music Corp., Chebra Music, Universal Tunes, The Vegan Ranch, Eskaywhy Publishing, Hi Mom I Did It\nLyrics powered by www.musixmatch.com"
                                    },
                                    "pixel_tracking_url": {
                                      "type": "string",
                                      "example": "https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_0/su_41629674/rs_0/...BBM00_i5JEjI4qO7ZF6qPlettxThcR9F0UVssyptUfdbEFyZWeLzTTuPmqRqPqvoM1OLeULbPE_pyohfNs/"
                                    },
                                    "region_restriction": {
                                      "type": "object",
                                      "properties": {
                                        "allowed": {
                                          "type": "array",
                                          "items": {
                                            "type": "string",
                                            "example": "XW"
                                          },
                                          "example": [
                                            "XW"
                                          ]
                                        },
                                        "blocked": {
                                          "type": "array",
                                          "items": {},
                                          "example": []
                                        }
                                      }
                                    },
                                    "script_tracking_url": {
                                      "type": "string",
                                      "example": "https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_0/su_41629674/rs_0/...RKWSnHN8tvXOcbxTbK0HVAvZHBSneRHxoCz6nzRTXoEOK13uvrh5BT1QSGnEjjjUqeUU0j35Ld9mckZ9rY/"
                                    },
                                    "subtitle_body": {
                                      "type": "string",
                                      "example": "[00:12.54] Yeah, yeah\n[00:15.38] When I walk on by, girls be lookin' like, \"Damn, he fly\"\n[00:18.75] I pimp to the beat, walkin' down the street in my new LaFreak\n[00:22.10] Yeah, this is how I roll, animal print, pants outta control\n[00:25.99] It's Redfoo with the big afro, and like Bruce Leroy, I got the glow, yeah\n[00:29.64] (Ah) girl, look at that body, (ah) girl, look at that body\n[00:33.17] (Ah) girl, look at that body, (ah) I-I-I work out\n[00:36.81] (Ah) girl, look at that body, (ah) girl, look at that body\n[00:40.47] (Ah) girl, look at that body, (ah) I-I-I work out\n[00:43.79] When I walk in the spot (yeah) this is what I see (okay)\n[00:47.71] E'rybody stops and is starin' at me\n[00:50.88] I got passion in my pants and I ain't afraid to show it\n[00:54.90] Show it, show it, show it\n[00:57.66] I'm sexy and I know it\n[01:05.15] I'm sexy and I know it\n[01:13.56] Yeah, when I'm at the mall, security just can't fight 'em all\n[01:17.98] And when I'm at the beach, I'm in a speedo tryna tan my cheeks (what?)\n[01:21.87] This is how I roll, come on, ladies, it's time to go\n[01:25.15] We headed to the bar, baby, don't be nervous\n[01:26.57] No shoes, no shirt, and I still get service, watch\n[01:29.08] (Ah) girl, look at that body, (ah) girl, look at that body\n[01:32.29] (Ah) girl, look at that body, (ah) I-I-I work out\n[01:35.94] (Ah) girl, look at that body, (ah) girl, look at that body\n[01:39.53] (Ah) girl, look at that body, I-I-I work out\n[01:42.89] When I walk in the spot (yeah) this is what I see (okay)\n[01:46.77] E'rybody stops and is starin' at me\n[01:50.02] I got passion in my pants and I ain't afraid to show it\n[01:54.18] Show it, show it, show it\n[01:56.82] I'm sexy and I know it (ay)\n[02:04.27] I'm sexy and I know it\n[02:08.00] Check it out, check it out\n[02:12.88] Wiggle, wiggle, wiggle, wiggle, wiggle, yeah\n[02:14.73] Wiggle, wiggle, wiggle, wiggle, wiggle, yeah\n[02:16.56] Wiggle, wiggle, wiggle, wiggle, wiggle, yeah\n[02:18.47] Wiggle, wiggle, wiggle, wig-, yeah-yeah\n[02:20.82] Do the wiggle, man, I do the wiggle, man\n[02:24.89] Yeah, I'm sexy and I know it, ay, yeah\n[02:43.13] (Ah) girl, look at that body, (ah) girl, look at that body\n[02:46.23] (Ah) girl, look at that body, (ah) I-I-I work out\n[02:49.87] (Ah) girl, look at that body, (ah) girl, look at that body\n[02:53.53] (Ah) girl, look at that body, (ah) I-I-I work out\n[03:10.84] I'm sexy and I know it\n[03:12.24] "
                                    },
                                    "subtitle_id": {
                                      "type": "number",
                                      "example": 41629674
                                    },
                                    "subtitle_language": {
                                      "type": "string",
                                      "example": "en"
                                    },
                                    "subtitle_language_description": {
                                      "type": "string",
                                      "example": "English"
                                    },
                                    "subtitle_length": {
                                      "type": "number",
                                      "example": 199
                                    },
                                    "updated_time": {
                                      "type": "string",
                                      "example": "2024-10-31T09:50:18Z"
                                    }
                                  }
                                }
                              }
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            }
                          ]
                        },
                        "header": {
                          "type": "object",
                          "properties": {
                            "execute_time": {
                              "type": "number",
                              "example": 0.016800880432129
                            },
                            "status_code": {
                              "type": "number",
                              "example": 200
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "200 OK": {
                    "value": {
                      "message": {
                        "body": {
                          "subtitle": {
                            "lyrics_copyright": "Writer(s): George Matthew Robertson, Stefan Kendal Gordy, Erin Beck, David Jamahl Listenbee, Kenny Oliver, Skyler Husten Gordy\nCopyright: Universal Music Corp., Chebra Music, Universal Tunes, The Vegan Ranch, Eskaywhy Publishing, Hi Mom I Did It\nLyrics powered by www.musixmatch.com",
                            "pixel_tracking_url": "https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_0/su_41629674/rs_0/...BBM00_i5JEjI4qO7ZF6qPlettxThcR9F0UVssyptUfdbEFyZWeLzTTuPmqRqPqvoM1OLeULbPE_pyohfNs/",
                            "region_restriction": {
                              "allowed": [
                                "XW"
                              ],
                              "blocked": []
                            },
                            "script_tracking_url": "https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_0/su_41629674/rs_0/...RKWSnHN8tvXOcbxTbK0HVAvZHBSneRHxoCz6nzRTXoEOK13uvrh5BT1QSGnEjjjUqeUU0j35Ld9mckZ9rY/",
                            "subtitle_body": "[00:12.54] Yeah, yeah\n[00:15.38] When I walk on by, girls be lookin' like, \"Damn, he fly\"\n[00:18.75] I pimp to the beat, walkin' down the street in my new LaFreak\n[00:22.10] Yeah, this is how I roll, animal print, pants outta control\n[00:25.99] It's Redfoo with the big afro, and like Bruce Leroy, I got the glow, yeah\n[00:29.64] (Ah) girl, look at that body, (ah) girl, look at that body\n[00:33.17] (Ah) girl, look at that body, (ah) I-I-I work out\n[00:36.81] (Ah) girl, look at that body, (ah) girl, look at that body\n[00:40.47] (Ah) girl, look at that body, (ah) I-I-I work out\n[00:43.79] When I walk in the spot (yeah) this is what I see (okay)\n[00:47.71] E'rybody stops and is starin' at me\n[00:50.88] I got passion in my pants and I ain't afraid to show it\n[00:54.90] Show it, show it, show it\n[00:57.66] I'm sexy and I know it\n[01:05.15] I'm sexy and I know it\n[01:13.56] Yeah, when I'm at the mall, security just can't fight 'em all\n[01:17.98] And when I'm at the beach, I'm in a speedo tryna tan my cheeks (what?)\n[01:21.87] This is how I roll, come on, ladies, it's time to go\n[01:25.15] We headed to the bar, baby, don't be nervous\n[01:26.57] No shoes, no shirt, and I still get service, watch\n[01:29.08] (Ah) girl, look at that body, (ah) girl, look at that body\n[01:32.29] (Ah) girl, look at that body, (ah) I-I-I work out\n[01:35.94] (Ah) girl, look at that body, (ah) girl, look at that body\n[01:39.53] (Ah) girl, look at that body, I-I-I work out\n[01:42.89] When I walk in the spot (yeah) this is what I see (okay)\n[01:46.77] E'rybody stops and is starin' at me\n[01:50.02] I got passion in my pants and I ain't afraid to show it\n[01:54.18] Show it, show it, show it\n[01:56.82] I'm sexy and I know it (ay)\n[02:04.27] I'm sexy and I know it\n[02:08.00] Check it out, check it out\n[02:12.88] Wiggle, wiggle, wiggle, wiggle, wiggle, yeah\n[02:14.73] Wiggle, wiggle, wiggle, wiggle, wiggle, yeah\n[02:16.56] Wiggle, wiggle, wiggle, wiggle, wiggle, yeah\n[02:18.47] Wiggle, wiggle, wiggle, wig-, yeah-yeah\n[02:20.82] Do the wiggle, man, I do the wiggle, man\n[02:24.89] Yeah, I'm sexy and I know it, ay, yeah\n[02:43.13] (Ah) girl, look at that body, (ah) girl, look at that body\n[02:46.23] (Ah) girl, look at that body, (ah) I-I-I work out\n[02:49.87] (Ah) girl, look at that body, (ah) girl, look at that body\n[02:53.53] (Ah) girl, look at that body, (ah) I-I-I work out\n[03:10.84] I'm sexy and I know it\n[03:12.24] ",
                            "subtitle_id": 41629674,
                            "subtitle_language": "en",
                            "subtitle_language_description": "English",
                            "subtitle_length": 199,
                            "updated_time": "2024-10-31T09:50:18Z"
                          }
                        },
                        "header": {
                          "execute_time": 0.016800880432129,
                          "status_code": 200
                        }
                      }
                    }
                  },
                  "401 Unauthorized": {
                    "value": {
                      "message": {
                        "body": [],
                        "header": {
                          "execute_time": 0.0026640892028809,
                          "status_code": 401
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/ws/1.1/track.get": {
      "get": {
        "tags": [
          "Track"
        ],
        "summary": "track.get",
        "description": "Get a track info from our database: title, artist, ISRC(s), 'instrumental' flag.",
        "operationId": "trackGet",
        "parameters": [
          {
            "name": "commontrack_id",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "5920049"
            },
            "description": "A Musixmatch commontrack ID."
          },
          {
            "name": "track_isrc",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "USUM70905526"
            },
            "description": "A valid ISRC identifier."
          },
          {
            "name": "track_spotify_id",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "5TfzrLmEHCDULQwnNbkSTZ"
            },
            "description": "A Spotify ID."
          },
          {
            "name": "track_itunes_id",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "1721054885"
            },
            "description": "An Apple Music ID."
          }
        ],
        "responses": {
          "200": {
            "description": "200 OK / 401 Unauthorized / 404 Not Found",
            "headers": {
              "Connection": {
                "schema": {
                  "type": "string",
                  "example": "keep-alive"
                }
              },
              "Content-Encoding": {
                "schema": {
                  "type": "string",
                  "example": "gzip"
                }
              },
              "Content-Length": {
                "schema": {
                  "type": "string",
                  "example": "100"
                }
              },
              "Date": {
                "schema": {
                  "type": "string",
                  "example": "Tue, 04 Feb 2025 10:02:14 GMT"
                }
              },
              "Vary": {
                "schema": {
                  "type": "string",
                  "example": "Accept-Encoding"
                }
              },
              "x-mxm-api-application-id": {
                "schema": {
                  "type": "string",
                  "example": "1409624942950"
                }
              },
              "x-mxm-header-execute-time": {
                "schema": {
                  "type": "string",
                  "example": "0.060256004333496"
                }
              },
              "x-mxm-header-status": {
                "schema": {
                  "type": "string",
                  "example": "404"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "object",
                      "properties": {
                        "body": {
                          "anyOf": [
                            {
                              "type": "object",
                              "properties": {
                                "track": {
                                  "type": "object",
                                  "properties": {
                                    "album_id": {
                                      "type": "number",
                                      "example": 20915188
                                    },
                                    "album_name": {
                                      "type": "string",
                                      "example": "The Fame Monster (UK Deluxe)"
                                    },
                                    "artist_id": {
                                      "type": "number",
                                      "example": 378462
                                    },
                                    "artist_name": {
                                      "type": "string",
                                      "example": "Lady Gaga"
                                    },
                                    "commontrack_id": {
                                      "type": "number",
                                      "example": 5920049
                                    },
                                    "commontrack_isrcs": {
                                      "type": "array",
                                      "items": {
                                        "type": "array",
                                        "items": {
                                          "type": "string",
                                          "example": "USUM70905526"
                                        },
                                        "example": [
                                          "USUM70905526",
                                          "USUM71012484",
                                          "USA561015880",
                                          "GBJUT0922769",
                                          "USUM71009889",
                                          "SEYOK1607797"
                                        ]
                                      },
                                      "example": [
                                        [
                                          "USUM70905526",
                                          "USUM71012484",
                                          "USA561015880",
                                          "GBJUT0922769",
                                          "USUM71009889",
                                          "SEYOK1607797"
                                        ]
                                      ]
                                    },
                                    "explicit": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "has_lyrics": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "has_richsync": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "has_subtitles": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "has_lyrics_crowd": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "has_track_structure": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "has_lyrics_analysis": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "instrumental": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "num_favourite": {
                                      "type": "number",
                                      "example": 7227
                                    },
                                    "primary_genres": {
                                      "type": "object",
                                      "properties": {
                                        "music_genre_list": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "properties": {
                                              "music_genre": {
                                                "type": "object",
                                                "properties": {
                                                  "music_genre_id": {
                                                    "type": "number",
                                                    "example": 7
                                                  },
                                                  "music_genre_name": {
                                                    "type": "string",
                                                    "example": "Electronic"
                                                  },
                                                  "music_genre_name_extended": {
                                                    "type": "string",
                                                    "example": "Electronic"
                                                  },
                                                  "music_genre_parent_id": {
                                                    "type": "number",
                                                    "example": 34
                                                  },
                                                  "music_genre_vanity": {
                                                    "type": "string",
                                                    "example": "Electronic"
                                                  }
                                                }
                                              }
                                            }
                                          },
                                          "example": [
                                            {
                                              "music_genre": {
                                                "music_genre_id": 7,
                                                "music_genre_name": "Electronic",
                                                "music_genre_name_extended": "Electronic",
                                                "music_genre_parent_id": 34,
                                                "music_genre_vanity": "Electronic"
                                              }
                                            },
                                            {
                                              "music_genre": {
                                                "music_genre_id": 14,
                                                "music_genre_name": "Pop",
                                                "music_genre_name_extended": "Pop",
                                                "music_genre_parent_id": 34,
                                                "music_genre_vanity": "Pop"
                                              }
                                            },
                                            {
                                              "music_genre": {
                                                "music_genre_id": 17,
                                                "music_genre_name": "Dance",
                                                "music_genre_name_extended": "Dance",
                                                "music_genre_parent_id": 34,
                                                "music_genre_vanity": "Dance"
                                              }
                                            },
                                            {
                                              "music_genre": {
                                                "music_genre_id": 1205,
                                                "music_genre_name": "Europe",
                                                "music_genre_name_extended": "World / Europe",
                                                "music_genre_parent_id": 19,
                                                "music_genre_vanity": "World-Europe"
                                              }
                                            }
                                          ]
                                        }
                                      }
                                    },
                                    "restricted": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "track_edit_url": {
                                      "type": "string",
                                      "example": "https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950"
                                    },
                                    "track_id": {
                                      "type": "number",
                                      "example": 84584600
                                    },
                                    "track_isrc": {
                                      "type": "string",
                                      "example": "USUM70905526"
                                    },
                                    "track_length": {
                                      "type": "number",
                                      "example": 274
                                    },
                                    "track_lyrics_translation_status": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "from": {
                                            "type": "string",
                                            "example": "en"
                                          },
                                          "perc": {
                                            "type": "number",
                                            "example": 1
                                          },
                                          "to": {
                                            "type": "string",
                                            "example": "de"
                                          }
                                        }
                                      },
                                      "example": [
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "de"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "hi"
                                        },
                                        {
                                          "from": "en",
                                          "perc": 1,
                                          "to": "fi"
                                        }
                                      ]
                                    },
                                    "track_name": {
                                      "type": "string",
                                      "example": "Alejandro"
                                    },
                                    "track_rating": {
                                      "type": "number",
                                      "example": 70
                                    },
                                    "track_share_url": {
                                      "type": "string",
                                      "example": "https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950"
                                    },
                                    "track_spotify_id": {
                                      "type": "string",
                                      "example": "0iOu4s8w3pE9vbpb1SHXsL"
                                    },
                                    "updated_time": {
                                      "type": "string",
                                      "example": "2020-02-28T14:11:02Z"
                                    }
                                  }
                                }
                              }
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            }
                          ]
                        },
                        "header": {
                          "type": "object",
                          "properties": {
                            "execute_time": {
                              "type": "number",
                              "example": 0.032217025756836
                            },
                            "status_code": {
                              "type": "number",
                              "example": 200
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "200 OK": {
                    "value": {
                      "message": {
                        "body": {
                          "track": {
                            "album_id": 20915188,
                            "album_name": "The Fame Monster (UK Deluxe)",
                            "artist_id": 378462,
                            "artist_name": "Lady Gaga",
                            "commontrack_id": 5920049,
                            "commontrack_isrcs": [
                              [
                                "USUM70905526",
                                "USUM71012484",
                                "USA561015880",
                                "GBJUT0922769",
                                "USUM71009889",
                                "SEYOK1607797"
                              ]
                            ],
                            "explicit": 0,
                            "has_lyrics": 1,
                            "has_richsync": 1,
                            "has_subtitles": 1,
                            "has_lyrics_crowd": 0,
                            "has_track_structure": 0,
                            "has_lyrics_analysis": 0,
                            "instrumental": 0,
                            "num_favourite": 7227,
                            "primary_genres": {
                              "music_genre_list": [
                                {
                                  "music_genre": {
                                    "music_genre_id": 7,
                                    "music_genre_name": "Electronic",
                                    "music_genre_name_extended": "Electronic",
                                    "music_genre_parent_id": 34,
                                    "music_genre_vanity": "Electronic"
                                  }
                                },
                                {
                                  "music_genre": {
                                    "music_genre_id": 14,
                                    "music_genre_name": "Pop",
                                    "music_genre_name_extended": "Pop",
                                    "music_genre_parent_id": 34,
                                    "music_genre_vanity": "Pop"
                                  }
                                },
                                {
                                  "music_genre": {
                                    "music_genre_id": 17,
                                    "music_genre_name": "Dance",
                                    "music_genre_name_extended": "Dance",
                                    "music_genre_parent_id": 34,
                                    "music_genre_vanity": "Dance"
                                  }
                                },
                                {
                                  "music_genre": {
                                    "music_genre_id": 1205,
                                    "music_genre_name": "Europe",
                                    "music_genre_name_extended": "World / Europe",
                                    "music_genre_parent_id": 19,
                                    "music_genre_vanity": "World-Europe"
                                  }
                                }
                              ]
                            },
                            "restricted": 0,
                            "track_edit_url": "https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950",
                            "track_id": 84584600,
                            "track_isrc": "USUM70905526",
                            "track_length": 274,
                            "track_lyrics_translation_status": [
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "de"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "hi"
                              },
                              {
                                "from": "en",
                                "perc": 1,
                                "to": "fi"
                              }
                            ],
                            "track_name": "Alejandro",
                            "track_rating": 70,
                            "track_share_url": "https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950",
                            "track_spotify_id": "0iOu4s8w3pE9vbpb1SHXsL",
                            "updated_time": "2020-02-28T14:11:02Z"
                          }
                        },
                        "header": {
                          "execute_time": 0.032217025756836,
                          "status_code": 200
                        }
                      }
                    }
                  },
                  "401 Unauthorized": {
                    "value": {
                      "message": {
                        "body": [],
                        "header": {
                          "execute_time": 0.050049781799316,
                          "status_code": 401
                        }
                      }
                    }
                  },
                  "404 Not Found": {
                    "value": {
                      "message": {
                        "body": [],
                        "header": {
                          "execute_time": 0.060256004333496,
                          "status_code": 404
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/ws/1.1/track.lyrics.get": {
      "get": {
        "tags": [
          "Track"
        ],
        "summary": "track.lyrics.get",
        "description": "Get the lyrics for a track.",
        "operationId": "trackLyricsGet",
        "parameters": [
          {
            "name": "commontrack_id",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "5920049"
            },
            "description": "A Musixmatch commontrack ID."
          },
          {
            "name": "track_isrc",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "USUM70905526"
            },
            "description": "A valid ISRC identifier."
          },
          {
            "name": "track_spotify_id",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "5TfzrLmEHCDULQwnNbkSTZ"
            },
            "description": "A Spotify ID."
          },
          {
            "name": "track_itunes_id",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "1721054885"
            },
            "description": "An Apple Music ID."
          }
        ],
        "responses": {
          "200": {
            "description": "200 OK / 401 Unauthorized / 404 Not Found",
            "headers": {
              "Connection": {
                "schema": {
                  "type": "string",
                  "example": "keep-alive"
                }
              },
              "Content-Encoding": {
                "schema": {
                  "type": "string",
                  "example": "gzip"
                }
              },
              "Content-Length": {
                "schema": {
                  "type": "string",
                  "example": "99"
                }
              },
              "Date": {
                "schema": {
                  "type": "string",
                  "example": "Tue, 04 Feb 2025 10:12:06 GMT"
                }
              },
              "Vary": {
                "schema": {
                  "type": "string",
                  "example": "Accept-Encoding"
                }
              },
              "x-mxm-api-application-id": {
                "schema": {
                  "type": "string",
                  "example": "1409624942950"
                }
              },
              "x-mxm-header-execute-time": {
                "schema": {
                  "type": "string",
                  "example": "0.38449907302856"
                }
              },
              "x-mxm-header-status": {
                "schema": {
                  "type": "string",
                  "example": "404"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "object",
                      "properties": {
                        "body": {
                          "anyOf": [
                            {
                              "type": "object",
                              "properties": {
                                "lyrics": {
                                  "type": "object",
                                  "properties": {
                                    "explicit": {
                                      "type": "number",
                                      "example": 0
                                    },
                                    "lyrics_body": {
                                      "type": "string",
                                      "example": "I know that we are young\nAnd I know that you may love me\nBut I just can't be with you like this anymore\nAlejandro\n\nShe's got both hands in her pocket\nAnd she won't look at you, won't look at you\nShe hides true love en su bolsillo\nShe's got a halo around her finger, around you\n\nYou know that I love you, boy\nHot like Mexico, rejoice\nAt this point, I've gotta choose\nNothing to lose\n\nDon't call my name, don't call my name, Alejandro\nI'm not your babe, I'm not your babe, Fernando\nDon't wanna kiss, don't wanna touch\nJust smoke my cigarette and hush\nDon't call my name, don't call my name, Roberto\n\nAlejandro, Alejandro\nAle-Alejandro, Ale-Alejandro\nAlejandro, Alejandro\nAle-Alejandro, Ale-Alejandro\n\nStop, please, just let me go\nAlejandro, just let me go\n\nShe's not broken, she's just a baby\nBut her boyfriend's like her dad, just like a dad\nAnd all those flames that burned before him\nNow he's gotta firefight, got cool the bad\n\nYou know that I love you, boy\nHot like Mexico, rejoice\nAt this point, I've gotta choose\nNothing to lose\n\nDon't call my name, don't call my name, Alejandro\nI'm not your babe, I'm not your babe, Fernando\nDon't wanna kiss, don't wanna touch\nJust smoke my cigarette and hush\nDon't call my name, don't call my name, Roberto\n\nAlejandro, Alejandro\nAle-Alejandro, Ale-Alejandro\nAlejandro, Alejandro\nAle-Alejandro, Ale-Alejandro\n\nDon't bother me, don't bother me, Alejandro\nDon't call my name, don't call my name, bye, Fernando\nI'm not your babe, I'm not your babe, Alejandro\nDon't wanna kiss, don't wanna touch, Fernando\n\nDon't call my name, don't call my name, Alejandro\nI'm not your babe, I'm not your babe, Fernando\nDon't wanna kiss, don't wanna touch\nJust smoke my cigarette and hush\nDon't call my name, don't call my name, Roberto\n\nAlejandro, Alejandro\nAle-Alejandro, Ale-Alejandro\nAlejandro, Alejandro\nAle-Alejandro, Ale-Alejandro\n\nDon't call my name, don't call my name, Alejandro\nI'm not your babe, I'm not your babe, Fernando\nDon't wanna kiss, don't wanna touch\nJust smoke my cigarette and hush\nDon't call my name, don't call my name, Roberto\n\nAlejandro"
                                    },
                                    "lyrics_copyright": {
                                      "type": "string",
                                      "example": "Writer(s): Stefani Germanotta, Nadir Khayat\nCopyright: Sony/atv Songs Llc, Songs Of Redone, House Of Gaga Publishing Llc, House Of Gaga Publishing Inc\nLyrics powered by www.musixmatch.com"
                                    },
                                    "lyrics_id": {
                                      "type": "number",
                                      "example": 16258913
                                    },
                                    "lyrics_language": {
                                      "type": "string",
                                      "example": "en"
                                    },
                                    "pixel_tracking_url": {
                                      "type": "string",
                                      "example": "https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_16258913/su_0/rs_0/tr_3vUCAD89QMi-09ZtyZedCON8p5IWdHcrgHnWQv8uoS26xTu_dhNv7pg93xeOzpM-RQ25hEChkhH09tzt_WTuPmqwOEqBUmK2Om9SrVmeY-IDq2yMZ9nh5noNZh2xfIgKAf8b9VLJ257Ud-7K5JBs28flcQiHIX2veuuzeKRkjMmCiFXMF8qNBlaxBVIVxBa2tORYlUirUylLir4INaq-uOqQs3qYqbppfzVjurlenGT2MqPjjA29tdHRmb8nZQzlnnbxG-a41NBVc1KUB6OchXp5MgD_vGmywbQ_uSwJ0dSyc7_qR3OW76Iywcak7bsbYEAt2SIhIFhueB-LzEla7BRuQ94K0TzQ9zGFHlJfDKBEQ0qfCHqmOpPIXD4Ciig-HRZSiK7IlYDJkq34cmpRXn6yCW_nMHI9_CXMji-IYO__e0aTmMIYWrSGv3Tt-iDj/"
                                    },
                                    "script_tracking_url": {
                                      "type": "string",
                                      "example": "https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_16258913/su_0/rs_0/tr_3vUCAPyhiC1b1puoRZNGFoIMTet-yNNgyfqs9vJKAvHadXByJ02tkI7H-6JNMEewkKxZBeszqLulBVSoyeqmXpgNQKbj0tAuuhDicPv9ZGnlUxVAXqBvorS3ste-Q7mE9-jkq1pzxIhDWq99fVXpliVtojpxvD-49yehOMtP_Wdg-smfOq1Y3QcP1DBu4ZLDgjdTpX71zwuBN1nvP4icle3ySj664Q70Z8Q-LpnDONhTfVdJEJKaRhTFdCZ-eUSxHq2QqkXfvS9LyLZasI4Q6EPP8G_un6aFXdgWHbHSOApC7c_40f-Tfo0dxeguGlKlSlUoJ1Cpm2_0GD1N8shQQwgr18PYFNMraVM_w0rtMEmKH3GsMglWlb90V5XcMyoofkxrA-9qjt4VzqM6TxWEbYYSzF1ZmdLk10hNGluhieMC0vZqAEVZCVcIdFUkHvrv/"
                                    },
                                    "updated_time": {
                                      "type": "string",
                                      "example": "2022-06-13T18:44:33Z"
                                    }
                                  }
                                }
                              }
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            },
                            {
                              "type": "array",
                              "items": {},
                              "example": []
                            }
                          ]
                        },
                        "header": {
                          "type": "object",
                          "properties": {
                            "execute_time": {
                              "type": "number",
                              "example": 0.2803099155426
                            },
                            "status_code": {
                              "type": "number",
                              "example": 200
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "200 OK": {
                    "value": {
                      "message": {
                        "body": {
                          "lyrics": {
                            "explicit": 0,
[...]
